# list

## HTTP Request

```http
GET /api/v1/organizations/:userName/datasets

GET /api/v1/users/:userName/datasets
```

## Path parameters

| Parameter |                                                                              |
| --------- | ---------------------------------------------------------------------------- |
| userName  | The username of the user or organization for which you want to list datasets |

## Query parameters

<table><thead><tr><th width="211.33333333333331">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>labels</td><td>string</td><td>Optional. A comma-separated list of labels to filter on. If multipart labels are present (e.g., <code>school:humanities</code>), you may provide just the prefix to include all entities labeled with that prefix.<br><br>Labels are administrator-specific information. You must be an administrator of an organization in order to filter on labels. Labels are currently not supported on user-owned datasets.</td></tr><tr><td>maxResults</td><td> integer</td><td>Maximum number of results to return. Defaults to 100, may not exceed 1000.</td></tr><tr><td>pageToken</td><td>string</td><td>Page token, returned by a previous call, to request the next page of results. If not provided, the first page will be returned</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Only datasets to which you have at least overview access will be returned. In order to include datasets that are not publicly visible, your API token must have the following scope:

* data.overview

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [dataset.list resources](/api/resource-definitions/dataset.md#list-definition)

```json
{
    "kind": "datasetList",
    "nextPageToken": str,
    "results": [
        object(dataset.list)
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/datasets/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
